## ladr 0.0.200911a

=== Makefile ===
help:
	@echo See README.make

all:
	cd ladr         && $(MAKE) lib
	cd mace4.src    && $(MAKE) all
	cd provers.src  && $(MAKE) all
	cd apps.src     && $(MAKE) all
	/bin/cp -p utilities/* bin
	@echo ""
	@echo "**** Now try 'make test1'. ****"
	@echo ""

ladr lib:
	cd ladr         && $(MAKE) lib

test1:
	bin/prover9 -f prover9.examples/x2.in | bin/prooftrans parents_only
	@echo ""
	@echo "**** If you see a proof, prover9 is probably okay. ****"
	@echo "**** Next try 'make test2'. ****"
	@echo ""

test2:
	bin/mace4 -v0 -f mace4.examples/group2.in | bin/interpformat tabular
	@echo ""
	@echo "**** If you see a group table, mace4 is probably okay. ****"
	@echo "**** Next try 'make test3'. ****"
	@echo ""

test3:
	bin/mace4 -n3 -m -1 < apps.examples/qg.in | bin/interpformat | bin/isofilter
	@echo ""
	@echo "*** If you see 5 interpretations, the apps are probably okay. ***"
	@echo ""
	@echo "*** All of the programs are in ./bin, and they can be copied anywhere you like. ***"
	@echo ""

clean:	
	cd ladr             && $(MAKE) realclean
	cd apps.src         && $(MAKE) realclean
	cd mace4.src        && $(MAKE) realclean
	cd provers.src      && $(MAKE) realclean

realclean:
	$(MAKE) clean
	/bin/rm -f bin/*


# The following cleans up, then makes a .tar.gz file of the current
# directory, leaving it in the parent directory.  (Gnu make only.)

DIR = $(shell basename $(PWD))

dist:
	$(MAKE) realclean
	cd .. && tar cvf $(DIR).tar $(DIR)
	gzip -f ../$(DIR).tar
	ls -l ../$(DIR).tar.gz

=== apps.examples/Makefile ===
OUTPUTS = qg.out3 qg.iso3 MOL-cand.238  OL.8 OL.8.out OL.6 BA-sheffer.out \
	lattice-sax.rewritten meet-join-equations.out mjc01s-equations.out \
	OL.8.upper-covers

test:
	$(MAKE) backup
	./run-all

clean:
	/bin/rm -rf $(OUTPUTS) backup

backup:
	/bin/rm -rf backup
	mkdir backup && mv $(OUTPUTS) backup

=== apps.src/Makefile ===
# LADR/apps.src

CC = gcc

# XFLAGS can be specified on the command line (see XFLAGS below)

CFLAGS = $(XFLAGS) -O -Wall
# CFLAGS = $(XFLAGS) -O6 -Wall
# CFLAGS = $(XFLAGS) -g  -O -Wall
# CFLAGS = $(XFLAGS) -g -O0 -Wall
# CFLAGS = $(XFLAGS) -pg -O -Wall
# CFLAGS = $(XFLAGS)  -Wall -pedantic

PROGRAMS = latfilter olfilter clausefilter idfilter renamer unfast clausetester rewriter isofilter0 isofilter isofilter2 dprofiles interpfilter upper-covers miniscope interpformat prooftrans mirror-flip perm3 sigtest directproof test_clause_eval test_complex complex gen_trc_defs

all: ladr apps install realclean

ladr:
	cd ../ladr && $(MAKE) libladr.a

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o $(PROGRAMS)

install:
	/bin/mv $(PROGRAMS) ../bin

tags:
	etags *.c ../ladr/*.c

apps: $(PROGRAMS)

test: test.o
	$(CC) $(CFLAGS) -o test test.o ../ladr/libladr.a

interpformat: interpformat.o
	$(CC) $(CFLAGS) -o interpformat interpformat.o ../ladr/libladr.a

prooftrans: prooftrans.o
	$(CC) $(CFLAGS) -o prooftrans prooftrans.o ../ladr/libladr.a

directproof: directproof.o
	$(CC) $(CFLAGS) -o directproof directproof.o ../ladr/libladr.a

test_clause_eval: test_clause_eval.o
	$(CC) $(CFLAGS) -o test_clause_eval test_clause_eval.o ../ladr/libladr.a

test_complex: test_complex.o
	$(CC) $(CFLAGS) -o test_complex test_complex.o ../ladr/libladr.a

complex: complex.o
	$(CC) $(CFLAGS) -o complex complex.o ../ladr/libladr.a

latfilter: latfilter.o
	$(CC) $(CFLAGS) -o latfilter latfilter.o ../ladr/libladr.a

olfilter: olfilter.o
	$(CC) $(CFLAGS) -o olfilter olfilter.o ../ladr/libladr.a

unfast: unfast.o
	$(CC) $(CFLAGS) -o unfast unfast.o ../ladr/libladr.a

upper-covers: upper-covers.o
	$(CC) $(CFLAGS) -o upper-covers upper-covers.o ../ladr/libladr.a

miniscope: miniscope.o
	$(CC) $(CFLAGS) -o miniscope miniscope.o ../ladr/libladr.a

isofilter0: isofilter0.o
	$(CC) $(CFLAGS) -o isofilter0 isofilter0.o ../ladr/libladr.a

isofilter: isofilter.o
	$(CC) $(CFLAGS) -o isofilter isofilter.o ../ladr/libladr.a

isofilter2: isofilter2.o
	$(CC) $(CFLAGS) -o isofilter2 isofilter2.o ../ladr/libladr.a

dprofiles: dprofiles.o
	$(CC) $(CFLAGS) -o dprofiles dprofiles.o ../ladr/libladr.a

renamer: renamer.o
	$(CC) $(CFLAGS) -o renamer renamer.o ../ladr/libladr.a

rewriter: rewriter.o
	$(CC) $(CFLAGS) -o rewriter rewriter.o ../ladr/libladr.a

idfilter: idfilter.o
	$(CC) $(CFLAGS) -o idfilter idfilter.o ../ladr/libladr.a

clausefilter: clausefilter.o
	$(CC) $(CFLAGS) -o clausefilter clausefilter.o ../ladr/libladr.a

interpfilter: interpfilter.o
	$(CC) $(CFLAGS) -o interpfilter interpfilter.o ../ladr/libladr.a

clausetester: clausetester.o
	$(CC) $(CFLAGS) -o clausetester clausetester.o ../ladr/libladr.a

mirror-flip: mirror-flip.o
	$(CC) $(CFLAGS) -o mirror-flip mirror-flip.o ../ladr/libladr.a

perm3: perm3.o
	$(CC) $(CFLAGS) -o perm3 perm3.o ../ladr/libladr.a

sigtest: sigtest.o
	$(CC) $(CFLAGS) -o sigtest sigtest.o ../ladr/libladr.a

rewriter2: rewriter2.o
	$(CC) $(CFLAGS) -o rewriter2 rewriter2.o ../ladr/libladr.a

gen_trc_defs: gen_trc_defs.o
	$(CC) $(CFLAGS) -o gen_trc_defs gen_trc_defs.o ../ladr/libladr.a

=== ladr/Makefile ===
# LADR/ladr

CC = gcc

# XFLAGS can be specified on the command line (see XFLAGS below)

CFLAGS = $(XFLAGS) -O -Wall
# CFLAGS = $(XFLAGS) -O6 -Wall
# CFLAGS = $(XFLAGS) -g  -O -Wall
# CFLAGS = $(XFLAGS) -g -O0 -Wall
# CFLAGS = $(XFLAGS) -pg -O -Wall
# CFLAGS = $(XFLAGS)  -Wall -pedantic

BASE_OBJ = order.o clock.o nonport.o\
	   fatal.o ibuffer.o memory.o hash.o string.o strbuf.o\
           glist.o options.o symbols.o avltree.o
TERM_OBJ = term.o termflag.o listterm.o tlist.o flatterm.o multiset.o\
	   termorder.o parse.o accanon.o
UNIF_OBJ = unify.o fpalist.o fpa.o discrim.o discrimb.o discrimw.o\
           dioph.o btu.o btm.o mindex.o basic.o attrib.o
CLAS_OBJ = formula.o definitions.o literals.o topform.o clist.o\
	   clauseid.o clauses.o\
	   just.o cnf.o clausify.o parautil.o\
           pindex.o compress.o\
           maximal.o lindex.o weight.o weight2.o\
           int_code.o features.o di_tree.o fastparse.o\
           random.o subsume.o clause_misc.o clause_eval.o complex.o
INFE_OBJ = dollar.o flatdemod.o demod.o clash.o resolve.o paramod.o\
           backdemod.o\
           hints.o ac_redun.o xproofs.o ivy.o
MODL_OBJ = interp.o
MISC_OBJ = std_options.o banner.o ioutil.o tptp_trans.o top_input.o


OBJECTS = $(BASE_OBJ) $(TERM_OBJ) $(UNIF_OBJ) $(CLAS_OBJ)\
          $(INFE_OBJ) $(MODL_OBJ) $(MISC_OBJ)

libladr.a: $(OBJECTS)
	$(AR) rs libladr.a $(OBJECTS)

##############################################################################

lib ladr libladr:
	$(MAKE) libladr.a

dep:
	util/make_dep $(OBJECTS)

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o *.a

protos:
	util/make_protos $(OBJECTS)

htmls:
	util/make_htmls $(OBJECTS)
	cp index.html.master html/index.html

tags:
	etags *.c

dio-solo:
	$(CC) $(CFLAGS) -DSOLO -o dio dioph.c

# The rest of the file is generated automatically by util/make_dep

order.o:   	order.h 

clock.o:   	clock.h string.h memory.h fatal.h header.h

nonport.o:   	nonport.h 

fatal.o:   	fatal.h header.h

ibuffer.o:   	ibuffer.h fatal.h header.h

memory.o:   	memory.h fatal.h header.h

hash.o:   	hash.h memory.h fatal.h header.h

string.o:   	string.h memory.h fatal.h header.h

strbuf.o:   	strbuf.h string.h memory.h fatal.h header.h

glist.o:   	glist.h order.h string.h memory.h fatal.h header.h

options.o:   	options.h string.h memory.h fatal.h header.h

symbols.o:   	symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

avltree.o:   	avltree.h memory.h order.h fatal.h header.h

term.o:   	term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

termflag.o:   	termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

listterm.o:   	listterm.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

tlist.o:   	tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

flatterm.o:   	flatterm.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

multiset.o:   	multiset.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

termorder.o:   	termorder.h flatterm.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

parse.o:   	parse.h listterm.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

accanon.o:   	accanon.h termflag.h termorder.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h flatterm.h

unify.o:   	unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

fpalist.o:   	fpalist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

fpa.o:   	fpa.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

discrim.o:   	discrim.h unify.h index.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

discrimb.o:   	discrimb.h discrim.h unify.h index.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

discrimw.o:   	discrimw.h discrim.h unify.h index.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

dioph.o:   	dioph.h 

btu.o:   	btu.h dioph.h unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

btm.o:   	btm.h unify.h accanon.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h termorder.h flatterm.h

mindex.o:   	mindex.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h

basic.o:   	basic.h unify.h termflag.h listterm.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

attrib.o:   	attrib.h unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

formula.o:   	formula.h attrib.h tlist.h termorder.h hash.h unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h flatterm.h

definitions.o:   	definitions.h formula.h topform.h clauseid.h just.h attrib.h tlist.h termorder.h hash.h unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h flatterm.h literals.h maximal.h parse.h

literals.o:   	literals.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

topform.o:   	topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

clist.o:   	clist.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

clauseid.o:   	clauseid.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

clauses.o:   	clauses.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

just.o:   	just.h clauseid.h parse.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

cnf.o:   	cnf.h formula.h clock.h attrib.h tlist.h termorder.h hash.h unify.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h flatterm.h

clausify.o:   	clausify.h topform.h cnf.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h clock.h

parautil.o:   	parautil.h 

pindex.o:   	pindex.h clist.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

compress.o:   	compress.h parautil.h

maximal.o:   	maximal.h literals.h termorder.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h flatterm.h

lindex.o:   	lindex.h mindex.h maximal.h topform.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h literals.h tlist.h attrib.h formula.h hash.h

weight.o:   	weight.h literals.h unify.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h listterm.h

weight2.o:   	weight2.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

int_code.o:   	int_code.h just.h ibuffer.h clauseid.h parse.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

features.o:   	features.h literals.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h

di_tree.o:   	di_tree.h features.h topform.h literals.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h attrib.h formula.h maximal.h unify.h listterm.h termorder.h hash.h flatterm.h

fastparse.o:   	fastparse.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

random.o:   	random.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

subsume.o:   	subsume.h parautil.h lindex.h features.h mindex.h maximal.h topform.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h literals.h tlist.h attrib.h formula.h hash.h

clause_misc.o:   	clause_misc.h clist.h mindex.h just.h basic.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h fpa.h discrimb.h discrimw.h btu.h btm.h index.h fpalist.h discrim.h dioph.h accanon.h clauseid.h parse.h

clause_eval.o:   	clause_eval.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

complex.o:   	complex.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

dollar.o:   	dollar.h clist.h topform.h literals.h attrib.h formula.h maximal.h termflag.h tlist.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h unify.h listterm.h termorder.h hash.h flatterm.h

flatdemod.o:   	flatdemod.h parautil.h mindex.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h

demod.o:   	demod.h parautil.h mindex.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h

clash.o:   	clash.h mindex.h parautil.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h

resolve.o:   	resolve.h clash.h lindex.h mindex.h parautil.h fpa.h discrimb.h discrimw.h btu.h btm.h unify.h index.h fpalist.h listterm.h termflag.h term.h symbols.h strbuf.h glist.h string.h memory.h fatal.h header.h order.h discrim.h dioph.h accanon.h termorder.h flatterm.h maximal.h topform.h literals.h tlist.h attrib.h formula.h hash.h

=== mace4.src/Makefile ===
# LADR/mace4.src

CC = gcc

# XFLAGS can be specified on the command line (see XFLAGS below)

CFLAGS = $(XFLAGS) -O -Wall
# CFLAGS = $(XFLAGS) -O6 -Wall
# CFLAGS = $(XFLAGS) -g  -O -Wall
# CFLAGS = $(XFLAGS) -g  -Wall
# CFLAGS = $(XFLAGS) -pg -O -Wall
# CFLAGS = $(XFLAGS)  -Wall -pedantic

OBJECTS = estack.o util.o print.o syms.o ground.o arithmetic.o select.o \
	propagate.o mstate.o negpropindex.o negprop.o ordercells.o \
	commandline.o msearch.o

all: ladr lib mace4 install

libmace4.a: $(OBJECTS)
	$(AR) rs libmace4.a $(OBJECTS)

##############################################################################

lib libmace4:
	$(MAKE) libmace4.a

ladr:
	cd ../ladr && $(MAKE) libladr.a
	$(MAKE) clean

mace4: libmace4.a mace4.o $(OBJECTS)
	$(CC) $(CFLAGS) -o mace4 mace4.o libmace4.a ../ladr/libladr.a

$(OBJECTS): estack.h syms.h ground.h propagate.h mstate.h msearch.h

tags:
	etags *.c ../ladr/*.c

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o *.a mace4

install:
	/bin/mv mace4 ../bin

=== provers.src/Makefile ===
# LADR/prover9.src

CC = gcc

# XFLAGS can be specified on the command line (see XFLAGS below)

CFLAGS = $(XFLAGS) -O -Wall
# CFLAGS = $(XFLAGS) -O6 -Wall
# CFLAGS = $(XFLAGS) -g  -O -Wall
# CFLAGS = $(XFLAGS) -g -O0 -Wall
# CFLAGS = $(XFLAGS) -pg -O -Wall
# CFLAGS = $(XFLAGS) -Wall -pedantic

PRVR_OBJ = index_lits.o forward_subsume.o demodulate.o\
           pred_elim.o unfold.o semantics.o\
	   giv_select.o white_black.o actions.o\
	   search.o\
	   utilities.o\
	   provers.o\
	   foffer.o

OBJECTS = $(PRVR_OBJ)

# PROGRAMS = mprover iterate4

PROGRAMS = prover9 fof-prover9 autosketches4 newauto newsax\
	   ladr_to_tptp tptp_to_ladr

##############################################################################

all: libs $(PROGRAMS) install clean

libs: ladr libmace4

ladr libladr:
	cd ../ladr && $(MAKE) libladr
	$(MAKE) clean

libmace libmace4:
	cd ../mace4.src && $(MAKE) libmace4
	$(MAKE) clean

install:
	/bin/cp -p $(PROGRAMS) ../bin

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o $(PROGRAMS)

protos:
	util/make_protos $(OBJECTS)

dep:
	util/make_dep $(OBJECTS)

tags:
	etags *.c ../ladr/*.c

prover:
	/bin/rm -f prover9
	$(MAKE) prover9

prover9: prover9.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o prover9 prover9.o $(OBJECTS) ../ladr/libladr.a

fof-prover9: fof-prover9.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o fof-prover9 fof-prover9.o $(OBJECTS) ../ladr/libladr.a

ladr_to_tptp: ladr_to_tptp.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o ladr_to_tptp ladr_to_tptp.o $(OBJECTS) ../ladr/libladr.a

tptp_to_ladr: tptp_to_ladr.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o tptp_to_ladr tptp_to_ladr.o $(OBJECTS) ../ladr/libladr.a

autosketches4: autosketches4.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o autosketches4 autosketches4.o $(OBJECTS) ../ladr/libladr.a

newauto: newauto.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o newauto newauto.o $(OBJECTS) ../ladr/libladr.a

newsax: newsax.o $(OBJECTS)
	$(CC) $(CFLAGS) -lm -o newsax newsax.o $(OBJECTS) ../ladr/libladr.a

cgrep: cgrep.o $(OBJECTS)
	$(CC) $(CFLAGS) -o cgrep cgrep.o $(OBJECTS) ../ladr/libladr.a

mprover: mprover.o $(OBJECTS)
	$(CC) $(CFLAGS) -o mprover mprover.o $(OBJECTS) ../ladr/libladr.a ../mace4.src/libmace4.a

iterate4: iterate4.o $(OBJECTS)
	$(CC) $(CFLAGS) -o iterate4 iterate4.o $(OBJECTS) ../ladr/libladr.a

prover9.o mprover.o iterate4.o autosketches4.o fof-prover9.o: search.h utilities.h  forward_subsume.h giv_select.h white_black.h demodulate.h actions.h index_lits.h pred_elim.h unfold.h provers.h

# The rest of the file is generated automatically by util/make_dep

index_lits.o:   	index_lits.h ../ladr/clock.h ../ladr/subsume.h ../ladr/di_tree.h

forward_subsume.o:   	forward_subsume.h ../ladr/subsume.h ../ladr/clock.h

demodulate.o:   	demodulate.h ../ladr/ladr.h

pred_elim.o:   	pred_elim.h ../ladr/subsume.h ../ladr/resolve.h ../ladr/clauses.h ../ladr/clause_misc.h ../ladr/ioutil.h

unfold.o:   	unfold.h ../ladr/parautil.h ../ladr/clist.h ../ladr/ioutil.h

semantics.o:   	semantics.h ../ladr/interp.h ../ladr/ioutil.h

giv_select.o:   	giv_select.h search-structures.h

white_black.o:   	white_black.h search-structures.h

actions.o:   	actions.h search-structures.h

search.o:   	search.h search-structures.h semantics.h pred_elim.h demodulate.h index_lits.h forward_subsume.h unfold.h actions.h giv_select.h white_black.h utilities.h ../ladr/interp.h ../ladr/ioutil.h ../ladr/subsume.h ../ladr/resolve.h ../ladr/clauses.h ../ladr/clause_misc.h ../ladr/ioutil.h ../ladr/ladr.h ../ladr/clock.h ../ladr/subsume.h ../ladr/di_tree.h ../ladr/subsume.h ../ladr/clock.h ../ladr/parautil.h ../ladr/clist.h ../ladr/ioutil.h

utilities.o:   	utilities.h search-structures.h

provers.o:   	provers.h search.h search-structures.h semantics.h pred_elim.h demodulate.h index_lits.h forward_subsume.h unfold.h actions.h giv_select.h white_black.h utilities.h ../ladr/interp.h ../ladr/ioutil.h ../ladr/subsume.h ../ladr/resolve.h ../ladr/clauses.h ../ladr/clause_misc.h ../ladr/ioutil.h ../ladr/ladr.h ../ladr/clock.h ../ladr/subsume.h ../ladr/di_tree.h ../ladr/subsume.h ../ladr/clock.h ../ladr/parautil.h ../ladr/clist.h ../ladr/ioutil.h

foffer.o:   	foffer.h search.h search-structures.h semantics.h pred_elim.h demodulate.h index_lits.h forward_subsume.h unfold.h actions.h giv_select.h white_black.h utilities.h ../ladr/interp.h ../ladr/ioutil.h ../ladr/subsume.h ../ladr/resolve.h ../ladr/clauses.h ../ladr/clause_misc.h ../ladr/ioutil.h ../ladr/ladr.h ../ladr/clock.h ../ladr/subsume.h ../ladr/di_tree.h ../ladr/subsume.h ../ladr/clock.h ../ladr/parautil.h ../ladr/clist.h ../ladr/ioutil.h

=== test.src/Makefile ===
# LADR/apps.src

CC = gcc

# XFLAGS can be specified on the command line (see XFLAGS below)

CFLAGS = $(XFLAGS) -O -Wall
# CFLAGS = $(XFLAGS) -O6 -Wall
# CFLAGS = $(XFLAGS) -g  -O -Wall
CFLAGS = $(XFLAGS) -g  -O0 -Wall
# CFLAGS = $(XFLAGS) -pg -O -Wall
# CFLAGS = $(XFLAGS)  -Wall -pedantic

PROGRAMS = avltest

all: ladr apps

ladr:
	make clean
	cd ../ladr && $(MAKE) libladr.a

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o $(PROGRAMS)

tags:
	etags *.c ../ladr/*.c

apps: $(PROGRAMS)

avltest: avltest.o
	$(CC) $(CFLAGS) -o avltest avltest.o ../ladr/libladr.a -lm

tptp_test: tptp_test.o
	$(CC) $(CFLAGS) -o tptp_test tptp_test.o ../ladr/libladr.a -lm

=== debian/changelog ===
ladr (0.0.200911a-2) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * Change maintainer to QA group.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 11:43:32 +0200

ladr (0.0.200911a-1) experimental; urgency=low

  * QA upload.
  * New upstream release
  * debian/watch
    - update to deal with obsolete Perl's regrex (Closes: #544790)
      Thanks to Adam D. Barratt <adam@adam-barratt.org.uk> 
  * debian/rules
    - convert to dh7 style
    - pass "all" to dh_auto_build
  * debian/patches: convert to use quilt and refresh
  * debian/source/format: specify "3.0 (quilt)"
  * debian/control
    - drop "Build-Depends: dpatch"
    - remove unnecessary "DM-Upload-Allowed: yes" line
    - use Multi-Arch
    - set "Standards-Version: 3.9.4"
  * debian/compat: set 7
  * {libladr4,libladr-dev}.install
    - adjust install directroy
    - don't install *.la files
    - don't install *.so files in -dev package
  * debian/libladr4.symbols: update

 -- Hideki Yamane <henrich@debian.org>  Thu, 13 Dec 2012 01:19:19 +0900

ladr (0.0.200902a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/01-libtoolise.dpatch
    - it drops -lm but it is needed for binutils-gold (Closes: #555074)

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Jan 2012 10:10:29 +0900

ladr (0.0.200902a-2) unstable; urgency=low

  * Merged from Ubuntu, fixes FTBFS (closes: #526541)
    - Drop -shared from the libtool command to make libladr.la in
      debian/patches/01-libtoolise.dpatch so that both the shared and
      static libraries are built. The .install file tries to install both,
      and if -shared is passed the .a isn't built and the package fails
      to build. This appears to be a change in libtool behaviour.

 -- Peter Collingbourne <peter@pcc.me.uk>  Sun, 03 May 2009 18:07:07 +0100

ladr (0.0.200902a-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated for new prover9-doc
  * debian/ladr4-apps.install, debian/ladr4-apps.links: new application
    complex, removed application rewriter2
  * debian/libladr4.symbols: updated
  * debian/control: new Standards-Version

 -- Peter Collingbourne <peter@pcc.me.uk>  Sat, 14 Mar 2009 23:55:22 +0000

ladr (0.0.200811a-1) unstable; urgency=low

  * New upstream release.
  * debian/interpformat.1: documented option "wrap"
  * debian/patches/01-libtoolise.dpatch: updated from common
  * debian/libladr4.symbols: updated
  * debian/control: updated for new prover9-doc
  * debian/control: Vcs-Bzr uses nosmart+http protocol
  * debian/clausefilter.1, debian/clausetester.1, debian/control,
    debian/copyright, debian/interpfilter.1, debian/interpformat.1,
    debian/isofilter.1, debian/ladr4-apps.1,
    debian/ladr4-apps.README.Debian, debian/mace4.1,
    debian/prooftrans.1, debian/prover9.1, debian/rewriter.1: changed
    maintainer email address (again)
  * debian/ladr4-apps.install, debian/ladr4-apps.links: new application
    rewriter2
  * debian/control: do not duplicate "Section" field for binary packages
  * debian/copyright: changed year to 2009, corrected expression of
    copyright, refer to GPL-2 explicitly

 -- Peter Collingbourne <peter@pcc.me.uk>  Tue, 17 Feb 2009 01:48:06 +0000

ladr (0.0.200809a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: new programmatic patch script,
    original version by Heinz Wiesinger <pprkut@liwjatan.at>
  * debian/control: updated for new prover9-doc
  * debian/libladr4.symbols: updated
  * debian/clausefilter.1, debian/clausetester.1, debian/control,
    debian/copyright, debian/interpfilter.1, debian/interpformat.1,
    debian/isofilter.1, debian/ladr4-apps.1,
    debian/ladr4-apps.README.Debian, debian/mace4.1,
    debian/prooftrans.1, debian/prover9.1, debian/rewriter.1: changed
    maintainer email address

 -- Peter Collingbourne <peter@peter.uk.to>  Sat, 13 Sep 2008 21:23:58 +0100

ladr (0.0.200806a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: new source file weight2.c
  * debian/libladr4.symbols: updated
  * debian/control: new Standards-Version, updated for new prover9-doc
  * debian/prooftrans.1: documented new tagged format

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Sun, 29 Jun 2008 03:23:16 +0100

ladr (0.0.200805a-1) unstable; urgency=low

  * New upstream release.
  * debian/libladr4.symbols: added new symbols
  * debian/control
    - updated for new prover9-doc
    - added DM-Upload-Allowed: yes
  * debian/copyright: give correct license information

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon, 12 May 2008 18:07:55 +0100

ladr (0.0.200804a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: updated for new Makefiles
  * debian/patches/02-shebangs.dpatch: deleted, applied upstream
  * debian/ladr4-apps.install, debian/ladr4-apps.links, debian/ladr4-apps.docs:
    added new application directproof
  * debian/watch: added support for new version numbering scheme
  * debian/interpformat.1, debian/prover9.1: replaced hyphens with minus
    signs
  * debian/libladr4.symbols: updated
  * debian/control: updated for new prover9-doc
  * debian/copyright: give correct license information

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue, 08 Apr 2008 23:44:14 +0100

ladr (0.0.200712-2) unstable; urgency=low

  * debian/ladr4-apps.links: symlink usr/share/man/man1/prover9-mace4.1.gz
    removed, as it does not refer to an installed application and conflicts
    with the prover9-mace4 package

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Sun, 10 Feb 2008 20:34:47 +0000

ladr (0.0.200712-1) unstable; urgency=low

  * Initial release (Closes: #437936)
  * Fixed and libtoolized Makefiles
  * Wrote man pages
  * utilities/get_givens, utilities/get_interps, utilities/get_kept:
    now use Bourne shell to avoid unneccessary dependencies

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue, 22 Jan 2008 17:39:05 +0000

=== debian/control ===
Source: ladr
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool
Standards-Version: 3.9.4
Section: math
Vcs-Bzr: nosmart+http://bzr.debian.org/collab-maint/ladr/unstable/
Homepage: http://www.cs.unm.edu/~mccune/mace4/

Package: libladr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libladr4 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: the LADR deduction library, development files
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.
 .
 This package provides development support files for LADR.

Package: libladr4
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the LADR deduction library
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.

Package: prover9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ladr4-apps (= ${binary:Version}), prover9-doc (>> 0.0.200902a), prover9-doc (<< 0.0.200902b)
Description: theorem prover and countermodel generator
 This package provides the Prover9 resolution/paramodulation theorem
 prover and the Mace4 countermodel generator.
 .
 Prover9 is an automated theorem prover for first-order and equational
 logic. It is a successor of the Otter prover.  Prover9 uses the
 inference techniques of ordered resolution and paramodulation with
 literal selection.
 .
 The program Mace4 searches for finite structures satisfying first-order
 and equational statements, the same kind of statement that Prover9
 accepts. If the statement is the denial of some conjecture, any
 structures found by Mace4 are counterexamples to the conjecture.
 .
 Mace4 can be a valuable complement to Prover9, looking for
 counterexamples before (or at the same time as) using Prover9 to search
 for a proof. It can also be used to help debug input clauses and formulas
 for Prover9.

Package: ladr4-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: prover9-doc (>> 0.0.200902a), prover9-doc (<< 0.0.200902b)
Description: the LADR deduction library, miscellaneous applications
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.
 .
 This package provides miscellaneous LADR applications.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBDIR="$(CURDIR)/usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all
	mkdir -p $(LIBDIR) && libtool --mode=install install -m0644 ladr/libladr.la $(LIBDIR)

override_dh_clean:
	$(MAKE) realclean
	dh_clean
